Collections
Create Collection
Create a new collection in a project
POST
/
collections
Create Collection
curl --request POST \
--url https://api.aspect.inc/collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.aspect.inc/collections"
payload = {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>'
})
};
fetch('https://api.aspect.inc/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"actions": 123,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"appearance_settings": {
"header": {
"height": "small",
"show_icon": true,
"show_creation_info": true,
"show_description": true,
"show_background": true,
"icon": {
"type": "emoji",
"emoji": "<string>",
"color": "<string>",
"url": "<string>",
"upload": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z"
}
},
"background_attachment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z"
}
}
},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"description": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"avatar_url": "<string>"
},
"num_assets": 0,
"num_directories": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Body
application/json
Response
Successful Response
API response schema for creating a collection
Collection ID
Collection name
User's permission bitmap on this collection
Project ID
Appearance settings with attachments
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
Collection description
User who created this collection
User who created this collection
Show child attributes
Show child attributes
Number of assets in the collection
Number of directories in the collection
⌘I
Create Collection

